import { Component } from '@angular/core';
import {FormGroup, FormsModule, NonNullableFormBuilder, ReactiveFormsModule, Validators} from "@angular/forms";
import {NzButtonComponent} from "ng-zorro-antd/button";
import {NzColDirective, NzRowDirective} from "ng-zorro-antd/grid";
import {NzFormControlComponent, NzFormDirective, NzFormItemComponent, NzFormLabelComponent} from "ng-zorro-antd/form";
import {NzInputDirective} from "ng-zorro-antd/input";
import {NzMessageService} from "ng-zorro-antd/message";
import {NzModalService} from "ng-zorro-antd/modal";
import {NgForOf} from "@angular/common";
import {goodsTypeSearch} from "../../../data/goods/goods.namespace";
import {NzOptionComponent, NzSelectComponent} from "ng-zorro-antd/select";

@Component({
  selector: 'app-goods-type',
  standalone: true,
    imports: [
        FormsModule,
        NzButtonComponent,
        NzColDirective,
        NzFormControlComponent,
        NzFormDirective,
        NzFormItemComponent,
        NzFormLabelComponent,
        NzInputDirective,
        NzRowDirective,
        ReactiveFormsModule,
        NgForOf,
        NzOptionComponent,
        NzSelectComponent
    ],
  templateUrl: './goods-type.component.html',
  styleUrl: './goods-type.component.less'
})
export class GoodsTypeComponent {
  // 搜索表单
  searchForm: FormGroup;

  constructor(private fb: NonNullableFormBuilder) {
    // 初始化搜索框
    this.searchForm = this.fb.group({
      title: [''],
      parentId: [''],
      businessType: [''],
    });

  }

  // 搜索表单提交
  searchFormSubmit(): void {
  }

  protected readonly goodsTypeSearch = goodsTypeSearch;
}
